Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 159478 - OpenOffice 1.1.3 has problem with r128 driver
Summary: OpenOffice 1.1.3 has problem with r128 driver
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11
Version: 3
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Caolan McNamara
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-02 20:12 UTC by Ankur Jain
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-06-10 10:06:11 UTC


Attachments (Terms of Use)

Description Ankur Jain 2005-06-02 20:12:36 UTC
Description of problem:
If I use "r128" as the video driver for the system, I cannot launch openoffice
as a non-root user. A segmentation fault occurs everytime. But the root can
launch openoffice and use it.
If we change the video driver to "vesa" then everything works fine. I can launch
and use openoffice using root/non-root account as well.

Version-Release number of selected component (if applicable):
OpenOffice 1.1.3

How reproducible:
Everytime

Steps to Reproduce:
1. Login as normal (non root) user. (assuming currently using "r128" as video
driver)
2. Issue the command ooffice from the terminal.
3. Segmentation fault occurs.
4. Change the video driver in xorg.conf to "vesa" from "r128"
5. Logout and Restart X
6. Login as normal, root account
7. Issue the command ooffice again.
8. Openoffice is started perfectly.

Actual results:


Expected results:


Additional info:

Comment 1 Caolan McNamara 2005-06-03 07:22:35 UTC
Can you get a backtrace from OOo (e.g.)
gdb /usr/lib/ooo-1.1/program/soffice.bin
(gdb) run -writer
(gdb) bt
and paste in the results here.

This is awesomely likely to not be an OOo problem, 
try running glxgears, and the testprogram at
http://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=139712 and report what happens 


Note You need to log in before you can comment on or make changes to this bug.